lp:ubuntu/oneiric/digikam

Created by James Westby on 2011-04-28 and last modified on 2011-09-23
Get this branch:
bzr branch lp:ubuntu/oneiric/digikam
Members of Ubuntu branches can upload to this branch. Log in for directions.

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Mature

Recent revisions

75. By Felix Geyer on 2011-09-23

[ Rohan Garg ]
* New upstream release (LP: #834190)
  - debian/control
    + Build with libqtwebkit-dev
 - debian/kipi-plugins-common
    + Install libkvkontakte required by kipi-plugins
 - debian/digikam
    + Install panoramagui

[ Philip Muškovac ]
* New upstream release
  - debian/control:
    + Add libcv-dev, libcvaux-dev, libhighgui-dev, libboost-graph1.46-dev,
      libksane-dev, libxml2-dev, libxslt-dev, libqt4-opengl-dev, libqjson-dev,
      libgpod-dev and libqca2-dev to build-deps
    + Add packages for kipi-plugins, libmediawiki, libkface, libkgeomap and
      libkvkontakte
  - debian/rules:
    + Don't build with gphoto2 since it doesn't build with it.
  - Add kubuntu_fix_test_linking.diff to fix linking of the dngconverter test
  - update install files
  - update kubuntu_01_mysqld_executable_name.diff for new cmake layout
    and rename to kubuntu_mysqld_executable_name.diff
* Fix typo in digikam-data description (LP: #804894)
* Fix Vcs links

[ Felix Geyer ]
* Move library data files to the new packages libkface-data, libkgeomap-data
  and libkvkontakte-data.
* Override version of the embedded library packages to 1.0~digikam<version>.
* Exclude the library packages from digikam-dbg to prevent file conflicts in
  the future.
* Call dh_install with --list-missing.

74. By Scott Kitterman on 2011-07-22

No change rebuild for libkdcraw9 transition

73. By Felix Geyer on 2011-03-17

* Merge with debian, remaining changes
  - Export .pot name and copy to plugins in debian/rules
* Add an AppArmor profile for the local mysql server. (LP: #735949)
  - Use a wrapper script for mysqld.
  - Add kubuntu_01_mysqld_executable_name.diff so digikam uses the
    wrapper script instead of directly running mysqld.
* Make digikam suggest libqt4-sql-mysql and mysql-server-core-5.1.

72. By Rohan Garg on 2011-01-25

* Merge with debian, remaining changes
  - Export .pot name and copy to plugins in debian/rules
  - Version build-depends on kipi-plugins-dev to ensure build is against the
    same version on all archs

71. By Scott Kitterman on 2010-12-21

* Merge from Debian Experimental. Remaining Ubuntu changes:
  - Export .pot name and copy to plugins in debian/rules
  - Version build-depends on kipi-plugins-dev to ensure build is against the
    same version on all archs
* Drop debian/patches/kubuntu_01_linker.diff, incoporated upstream
* Remove patches directory and unused patches

70. By Jonathan Riddell on 2010-12-13

* New upstream release
* Add kubuntu_01_linker.diff to fix linking

69. By Alessandro Ghersi on 2010-10-23

* New upstream release
  - Bump build-dependencies
  - Build against libkipi-dev 1.5.0

68. By Felix Geyer on 2010-08-26

* New upstream bugfix release (LP: #626751)
* Install the file NEWS as upstream changelog because "ChangeLog" is
  too verbose.
* Don't copy the desktop .pot file to imageplugins, not needed anymore.

67. By Alessandro Ghersi on 2010-06-18

* Merge with Debian unstable, remaining changes:
  - Export .pot name and copy to plugins in debian/rules
  - Enable Nepomuk support in Digikam
    - Add shared-desktop-ontologies to build depends
* New upstream release:
  - Remove digikam-1.2.0-kde232628.patch fixed by upstream
  - Add mysql-server-5.1 to buil-depends

66. By Felix Geyer on 2010-06-05

* Merge with Debian, remaining changes:
  - Export .pot name and copy to plugins in debian/rules
  - Enable Nepomuk support in Digikam
    + Add shared-desktop-ontologies to build depends

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/precise/digikam
This branch contains Public information 
Everyone can see this information.

Subscribers